%define major		3
%define api		1.0
%define gir_major	1.0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gir_major}

Summary:	Implements resource discovery and announcement over SSDP
Name:		gssdp
Version:	0.14.16
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Other
Url:		http://www.gupnp.org/
Source0:	http://download.gnome.org/sources/%{name}/0.12/%{name}-%{version}.tar.xz
#------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}soup-devel
#------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GSSDP implements resource discovery and announcement over SSDP.

%package -n %{libname}
Summary:	Main library for gssdp
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:      %{mklibname gssdp 3} < 0.11.0-2
Obsoletes:	%{_lib}gssdp1.0_2

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gssdp.

%package -n %{develname}
Summary:	Headers for developing programs that will use gssdp
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gssdp.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't wan't these
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog NEWS
%{_bindir}/gssdp-device-sniffer
%{_datadir}/%{name}/*.ui
%{_datadir}/vala/vapi/gssdp-1.0.deps
%{_datadir}/vala/vapi/gssdp-1.0.vapi

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/GSSDP-%{gir_major}.typelib

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/pkgconfig/gssdp*.pc
%{_includedir}/gssdp-1.0/lib%{name}/*.h
%{_libdir}/*.so
%{_datadir}/gtk-doc/html/*
%{_datadir}/gir-1.0/GSSDP-1.0.gir


%changelog
* Sat Jun 25 2016 bb <bb> 0.14.16-1pclos2016
- update

* Fri Jan 08 2016 bb <bb> 0.14.13-1pclos2016
- update

* Sun Dec 06 2015 bb <bb> 0.14.12.1-1pclos2015
- update


